import { jsx } from "react/jsx-runtime";
import { GifIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Gif = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Gif", ...props, children: /* @__PURE__ */ jsx(GifIcon, { weight: variant }) });
  }
);
Gif.displayName = "Gif";
Object.assign(Gif, { isGdsIcon: true });
export {
  Gif
};
